/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.stocktaking;

import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @author Picasso
 */
public class InvoiceHasProductId implements Serializable {

    private static final long serialVersionUID = -2856956758166354555L;

    private String invoiceId;
    private String productId;

    public InvoiceHasProductId() {
    }

    public InvoiceHasProductId(String invoiceId) {
        this.invoiceId = invoiceId;
    }

    public InvoiceHasProductId(String invoiceId, String productId) {
        this.invoiceId = invoiceId;
        this.productId = productId;
    }

    public String getInvoiceId() {
        return invoiceId;
    }

    public void setInvoiceId(String invoiceId) {
        this.invoiceId = invoiceId;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    @Override
    public String toString() {
        return "InvoiceHasProductId{" + "invoiceId=" + invoiceId + ", productId=" + productId + '}';
    }

    @Override
    public int hashCode() {
        int hash = 7;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final InvoiceHasProductId other = (InvoiceHasProductId) obj;
        if (!Objects.equals(this.invoiceId, other.invoiceId)) {
            return false;
        }
        if (!Objects.equals(this.productId, other.productId)) {
            return false;
        }
        return true;
    }

}
